advertisement

Zoom has announced that users will need to keep their software more up-to-date more frequently.

In an update to its support page (opens in new tab), the company set out the oldest version of software that a user can use to sign in and join meetings, known as the minimum version. 

The video conferencing software provider has announced that it will update this minimum version every 90 days (approximately 3 months), which it says is, “in line with industry practices”.

advertisement

Users on older build numbers will be unable to use the desktop client, and will be instead forced to update or use the web client. Right now, Zoom’s minimum requirement is 5.3.0 for Windows, macOS, iOS, and Android devices.

If you’re already using the Fast Track auto-update version, you will likely be on the latest version 5.12.2, which became available on October 10, 2022.

Slow Track accounts will also likely be on 5.12.2 by now, though the update only became available on this channel on October 27, 2022. Zoom says that Slow Track updates will generally happen every 1-2 months, and may omit some builds and jump to a more recent version.

Then there are users who have automatic updates disabled. They will get prompts to update every so often – as it stands, the current prompt is for version 5.11.0 on all devices.

Zoom has a long history of regular updates as the company battles security flaws in an effort to make its services some of the best on offer. More recently, it was announced that Zoom and Google Meet would gain interoperability, allowing users from opposing platforms to join calls in their preferred environment.